Kea: isc::cryptolink::LibraryError Class Reference

| Kea 2.2.0

Public Member Functions | List of all members
isc::cryptolink::LibraryError Class Reference

This exception is raised when a general error that was not specifically caught is thrown by the underlying library. More...

`#include <cryptolink.h>`

Inheritance diagram for isc::cryptolink::LibraryError:
[legend]

## Public Member Functions
| LibraryError (const char *file, size_t line, const char *what)
Public Member Functions inherited from isc::cryptolink::CryptoLinkError
| CryptoLinkError (const char *file, size_t line, const char *what)
Public Member Functions inherited from isc::Exception
virtual const char * | what () const throw ()
| Returns a C-style character string of the cause of the exception. More...
virtual const char * | what (bool verbose) const throw ()
| Returns a C-style character string of the cause of exception. More...
const std::string & | getMessage () const
| Gets a string describing the cause of the exception. More...
const char * | getFile () const
| Gets the file name where the exception was thrown. More...
size_t | getLine () const
| Gets the line number of the file where the exception was thrown. More...
| Exception (const char *file, size_t line, const char *what)
| Constructor for a given type for exceptions with file name and file line number. More...
| Exception (const char *file, size_t line, const std::string &what)
| Constructor for a given type for exceptions with file name and file line number. More...
virtual | ~Exception () throw ()
| The destructor. More...

## Detailed Description

This exception is raised when a general error that was not specifically caught is thrown by the underlying library.

It is replaced by this one so as not have 'external' exceptions bubbling up

Definition at line 87 of file cryptolink.h.

## Constructor & Destructor Documentation

## ◆ LibraryError()

isc::cryptolink::LibraryError::LibraryError | ( | const char * | file,
|  | size_t | line,
|  | const char * | what
| ) |  |
| inline

Definition at line 89 of file cryptolink.h.

The documentation for this class was generated from the following file:

- cryptolink.h